// file: $isip/class/search/Hypothesis/hyp_01.cc
// version: $Id: hyp_01.cc 8673 2002-09-05 14:03:01Z jelinek $
//

// isip include files
//
#include "Hypothesis.h"
#include <Console.h>

// method: debug
//
// arguments:
//  const unichar* msg: (input) message to print
//
// return: logical error status
//
// this is the debug method
//
boolean Hypothesis::debug(const unichar* msg_a) const {
  
  // dump the data
  //
  String output;
  String value;

  // write the socre
  //
  value.assign(score_d);
  output.debugStr(name(), msg_a, L"score_d", value);  
  Console::put(output);

  // write the pointer to trace
  //
  value.assign(trace_d);
  output.debugStr(name(), msg_a, L"trace_d", value);  
  Console::put(output);

  // exit gracefully
  //
  return true;
}

